<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"><link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">

<%= form_with(model: student, local: true) do |form| %>
  <% if student.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(student.errors.count, "error") %> prohibited this student from being saved:</h2>

      <ul>
      <% student.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>
  <div class="container">
    <div class="form-group row">
      <div class="col-md-5">
        <%= form.label :stud_name, class: "col-form-label" %>
        <%= form.text_field :stud_name, id: :stud_stud_name, class: "form-control", required: true %>
      </div>

      <div class="col-md-5">
        <%= form.label :stud_dob, class: "col-form-label" %>
        <%= form.date_field :stud_dob, id: :stud_stud_dob, class: "form-control", required: true %>
      </div>

      <div class="col-md-5">
        <%= form.label :age, class: "col-form-label" %>
        <%= form.text_field :age, id: :age, class: "form-control", required: true %>
      </div>
    </div>

    <div class="actions col-md-12 mt-4">
      <%= form.submit "Submit", class:"btn btn-primary float-right" %>
      <%= link_to "Cancel", students_path, class: "btn btn-warning float-right mr-3" %>
    </div>
  </div>
<% end %>
